## f_close

The f_close function closes an open file.

    FRESULT f_close (
      FIL* fp     /* [IN] Pointer to the file object */
    );

#### Parameter

fp
  Pointer to the open file object structure to be closed.

#### Return Values

FR_OK, FR_DISK_ERR, FR_INT_ERR, FR_INVALID_OBJECT, FR_TIMEOUT

#### Description

The `f_close` function closes an open file object. If the file has been changed, the cached information of the file is written back to the volume. After the function succeeded, the file object is no longer valid and it can be discarded.

Note that if the file object is in read-only mode and `FF_FS_LOCK` is not enabled, the file object can also be discarded without this procedure. However this is not recommended for future compatibility.

#### QuickInfo

Always available.

#### See Also

`f_open, f_read, f_write, f_sync, FIL, FATFS`

Return